commit:     fa9f6ae18b8a7ff744c256f1047c83bfc25102bd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  7 05:58:35 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep  7 06:23:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa9f6ae1

dev-python/django-otp: Bump to 1.5.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-otp/Manifest                |  1 +
 dev-python/django-otp/django-otp-1.5.4.ebuild | 46 +++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index 004af257a2f4..467edec8855a 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1 +1,2 @@
 DIST django_otp-1.5.3.tar.gz 73785 BLAKE2B 
0f69539b271c7ed4cac55e6f52c4f8b67761731df14eef7594d3430b89e44c3b4314084a6ddeb02b85b4b576fffe2c20097e5bad291de2020f2314042d374348
 SHA512 
c101996982182736743cb14f44cc055722cc510e2082ee312f91b79cf9d87b50aaa1eeec489649723514e7150469be9c7f4f2d71758a7a72d0dffe04f4f875a9
+DIST django_otp-1.5.4.tar.gz 74334 BLAKE2B 
1d93c329441fcd237411b625618a85a9b93383fb6f2137ebbec74fb6efa13bdae4777c5a2e12188c919400be08a5c9562c4d5c03eda2aee26668ae10791dfa11
 SHA512 
fb4d642009256f543e2ea8d2f78e144cbb8186f3a878bffbe1bbf5c7c9712effcb52dcaa9bb37474e769c6c83f2ad94f680a083857ce59b4d97824c57641e068

diff --git a/dev-python/django-otp/django-otp-1.5.4.ebuild 
b/dev-python/django-otp/django-otp-1.5.4.ebuild
new file mode 100644
index 000000000000..3dc062125747
--- /dev/null
+++ b/dev-python/django-otp/django-otp-1.5.4.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Django framework adding two-factor authentication using one-time 
passwords"
+HOMEPAGE="
+       https://github.com/django-otp/django-otp/
+       https://pypi.org/project/django-otp/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               dev-python/freezegun[${PYTHON_USEDEP}]
+               || (
+                       dev-python/qrcode[${PYTHON_USEDEP}]
+                       dev-python/segno[${PYTHON_USEDEP}]
+               )
+               $(python_gen_cond_dep '
+                       dev-python/tomli[${PYTHON_USEDEP}]
+               ' 3.10)
+               ${RDEPEND}
+       )
+"
+
+python_test() {
+       local -x PYTHONPATH=test:${PYTHONPATH}
+       local -x DJANGO_SETTINGS_MODULE=test_project.settings
+       "${EPYTHON}" -m django test -v 2 django_otp ||
+               die "Tests fail with ${EPYTHON}"
+}

Reply via email to